Name:           netmask
Version:        2.4.3
Release:        2%{?dist}
Summary:        Utility for determining network masks

License:        GPLv2+
URL:            http://packages.debian.org/netmask
Source0:        http://cdn.debian.net/debian/pool/main/n/netmask/%{name}_%{version}.orig.tar.gz
Source1:        http://cdn.debian.net/debian/pool/main/n/netmask/%{name}_%{version}-1.debian.tar.xz

BuildRequires:  automake
BuildRequires:  %{_bindir}/makeinfo
Requires(post,preun): /sbin/install-info

%description
This is a handy tool for generating terse netmasks in several common
formats.  If you've ever maintained a firewall with more than a few
rules in it, you might use netmask to clean up and generalize sloppy
rules left by the network administrator before you.  It will also
convert netmasks from one format to another for the day you change
your firewall software.


%prep
%autosetup -a 1
%{__patch} -i debian/patches/0001-Add-the-missing-direntry-to-the-info-document.patch
./autogen  # generated files missing from 2.4.2+ tarball


%build
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%check
make check


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/netmask
%{_mandir}/man1/netmask.1*
%exclude %{_infodir}/dir
%{_infodir}/netmask.info*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.4.3-1
- Update to 2.4.3

* Sat Oct  3 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.4.2-1
- Update to 2.4.2, specfile cleanups

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.3.12-9
- Ship COPYING as %%license where available

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jun  7 2014 Ville Skyttä <ville.skytta@iki.fi>
- Specfile cleanups

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 10 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.3.12-1
- Update to 2.3.12 (#590609), info dir entry patch applied upstream.

* Wed Mar 10 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.3.11-1
- Update to 2.3.11.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.3.10-1
- 2.3.10.

* Sat Feb  9 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.3.9-3
- Rebuild.

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.3.9-2
- License: GPLv2+

* Mon Mar 26 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.3.9-1
- 2.3.9.

* Wed Oct 11 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.3.8-1
- 2.3.8.

* Sat Sep  2 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.3.7-6
- Rebuild.

* Thu Feb 16 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.3.7-5
- Rebuild.

* Thu May 19 2005 Ville Skyttä <ville.skytta@iki.fi> - 2.3.7-4
- Rebuild.

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3.7-3
- rebuilt

* Mon Jun 21 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3.7-0.fdr.2
- Split install-info dep into post and preun.
- Run tests in the %%check section.
- Change URL.

* Sat Sep 27 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3.7-0.fdr.1
- Update to 2.3.7.

* Tue Jul  8 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3.6-0.fdr.1
- First build.
